now try something different
[m6w6/ext-pq] / .travis.yml
index ffc12f0..be7f250 100644 (file)
@@ -1,11 +1,6 @@
 # autogenerated file; do not edit
 language: c
 
-addons:
-    apt:
-        packages:
-            - libpq-dev
-
 env:
     global:
         - BUILD_SRC_DIR=/src
@@ -17,161 +12,87 @@ env:
 
 matrix:
     include:
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.1
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS=""
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.4" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS=""
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.5" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS=""
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS=""
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.1
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
         - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
           addons:
               postgresql: 9.2
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.3
-        - env: PHP_TARGET_REF="PHP-5.6" PHP_CONFIGURE_OPTS="--enable-debug --enable-maintainer-zts"
-          addons:
-              postgresql: 9.4
+              apt: 
+                  packages: 
+                      - libpq-dev-9.2
 
 before_script:
     - ./travis/compile-php.sh
     - ./travis/compile-ext-raphf.sh
     - ./travis/compile-ext-pq.sh
     - ./travis/configure-postgres.sh
+    - $HOME$BUILD_INSTALL_DIR/bin/php --ri pq 
 
 script:
-    - pg_config --version
-    - psql --version
-    - $HOME$BUILD_INSTALL_DIR/bin/php --ri pq
     - $HOME$BUILD_INSTALL_DIR/bin/php ./run-tests.php -q -p $HOME$BUILD_INSTALL_DIR/bin/php --show-diff
 
 sudo: false